import React from 'react'
import TitleList from './TitleList';
import { connect } from 'reaxtor-redux';

function Genre({ name = '', titles = [] } = {}) {

    if (!titles || titles.length === 0) {
        return (
            <div className='genre-list'>
                <h4>{name}</h4>
                <span>No Movies in this genre</span>
            </div>
        );
    }

    return (
        <div className='genre-list'>
            <h4>{name}</h4>
            <TitleList falcor={titles} />
        </div>
    );
}

function renderLoading(props) {
    return (
        <div className='genre-list'>
            Loading Movies...
        </div>
    );
}

function mapStateToFragment({ titles = [] } = {}) {
    return `{
        name,
        titles: ${
            TitleList.fragment(titles)
        }
    }`;
}

export default connect(mapStateToFragment)(
    Genre, renderLoading
);
